### Method

# GExiv2 Metadata get_exif_thumbnail

#### Declaration [src]

    gboolean
    gexiv2_metadata_get_exif_thumbnail (
      GExiv2Metadata* self,
      guint8** buffer,
      gint* size
    )

#### Description [src]

Get the thumbnail stored in the EXIF data of `self`.

#### Parameters

`buffer`

  Type: An array of `guint8*`

  Where to store the thumbnail data.

  The argument will be set by the function.
  The length of the array is specified in the `size` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`size`

  Type: `gint*`

  Size of the thumbnail’s buffer.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

Boolean success value.